function A = onestep_qr(A)
% A = onestep_qr(A)
% One iteration of the classical QR algorithm
%
% Copyright (C) 2014 Aravindh Krishnamoorthy
% aravindh.krishnamoorthy@ericsson.com, aravindh.k@ieee.org
% Released under the BSD license.
% Symmetric QR Algorithm with Permutations, arXiv:1402.5086.

[Q,R] = qr(A) ;
A = R*Q ;
A = (A+A')/2 ;
